Skip to main content
GET
/
anomaly_alerts
Get all anomaly alerts
curl --request GET \
  --url https://api.vantage.sh/v2/anomaly_alerts \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.vantage.sh/v2/anomaly_alerts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.vantage.sh/v2/anomaly_alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "links": {
    "self": "https://api.vantage.sh/v2/anomaly_alerts",
    "first": "https://api.vantage.sh/v2/anomaly_alerts?page=1",
    "next": null,
    "last": "https://api.vantage.sh/v2/anomaly_alerts?page=1",
    "prev": null
  },
  "anomaly_alerts": [
    {
      "token": "anmly_alrt_e1fb8184ecdf129d",
      "created_at": "2024-04-01T17:14:45Z",
      "alerted_at": "2024-04-01T17:14:45Z",
      "category": "Compute",
      "service": "AmazonEKS",
      "provider": "aws",
      "amount": "100.0",
      "previous_amount": "25.0",
      "seven_day_average": "10.0",
      "status": "active",
      "feedback": null,
      "resources": [
        "production-cluster"
      ],
      "resource_tokens": [
        "rsrc_abcd1234efgh5678"
      ],
      "cost_report_token": "rprt_3d541a4c5160711f"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

page
integer<int32>

The page of results to return.

limit
integer<int32>

The amount of results to return. The maximum is 1000.

start_date
string<date-time>

The start date of the anomalies to return. ISO 8601 formatted.

end_date
string<date-time>

The end date of the anomalies to return. ISO 8601 formatted.

provider
string

The provider of the anomalies to return.

service
string

The service of the anomalies to return.

cost_category
string

The cost category of the anomalies to return.

cost_report_token
string

The cost report token of the anomalies to return.

Response

200 - application/json

AnomalyAlerts model

anomaly_alerts
object[]
required